org.glassfish.jersey.server.wadl.config

## Class WadlGeneratorConfig.WadlGeneratorConfigDescriptionBuilder

- java.lang.Object
- - org.glassfish.jersey.server.wadl.config.WadlGeneratorConfig.WadlGeneratorConfigDescriptionBuilder

Enclosing class:
  WadlGeneratorConfig

    public static class WadlGeneratorConfig.WadlGeneratorConfigDescriptionBuilder
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`WadlGeneratorConfigDescriptionBuilder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`WadlGeneratorConfig` `build()`
`List<WadlGeneratorDescription>` `descriptions()`
`WadlGeneratorConfig.WadlGeneratorConfigDescriptionBuilder` `generator(Class<? extends WadlGenerator> generatorClass)`
`WadlGeneratorConfig.WadlGeneratorConfigDescriptionBuilder` `prop(String propName, Object propValue)` Specify the property value for the current `WadlGenerator`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WadlGeneratorConfigDescriptionBuilder

    public WadlGeneratorConfigDescriptionBuilder()

### Method Detail

#### generator

    public WadlGeneratorConfig.WadlGeneratorConfigDescriptionBuilder generator(Class<? extends WadlGenerator> generatorClass)

#### prop

    public WadlGeneratorConfig.WadlGeneratorConfigDescriptionBuilder prop(String propName,
                                                                          Object propValue)

Specify the property value for the current `WadlGenerator`.

The `WadlGenerator` property type can be of any type with the following contraints:

If the `WadlGenerator` property type is equal to the property value type then the property value is set as the `WadlGenerator` property value.

If the `WadlGenerator` property type has a constructor with a single `String` parameter type and the property value is a `String` then an instance of the property type is constructed with the property value and that instance is set as the `WadlGenerator` property value.

If the `WadlGenerator` property type is of type `File`, then the specified property value must be a `String` starting with the prefix classpath: to denote, that the File shall be loaded from the classpath like this:

    new File( generator.getClass().getResource( strippedFilename ).toURI() )

Notice that the file is loaded as a resource from the classpath in this case, therefore classpath:test.xml refers to a file in the package of the specified `<classname>`. The file reference classpath:/test.xml refers to a file that is in the root of the classpath.

If the `WadlGenerator` property type is of type `InputStream`, then the specified property value must be a `String` and the instance of `InputStream` is obtained with `ClassLoader.getResourceAsStream(String)` using the current threads context classloader. The `InputStream` will be closed after `WadlGenerator.init()` was called and therefore must not be closed by the `WadlGenerator` using this stream.

Parameters:
  `propName` - the property name
  `propValue` - the stringified property value
Returns:
  this builder instance

#### descriptions

    public List<WadlGeneratorDescription> descriptions()

#### build

    public WadlGeneratorConfig build()